# This spec for backport to M30 is autogenerated. Do not edit it.
Summary: geomview -- interactive geometry viewing program

%define pre %nil
%def_without xforms

Name: geomview
Version: 1.9.4
Release: alt3%pre

License: GPL
Group: Sciences/Mathematics
Url: http://www.geomview.org
Packager: Ilya Mashkin <oddity@altlinux.ru>
Source: http://ftp1.sourceforge.net/geomview/%name-%version.tar.bz2
Source1: %{name}_16.xpm
Source2: %{name}_32.xpm
Source3: %{name}_48.xpm
Source4: %{name}.menu
#Patch0: http://ftp.debian.org/debian/pool/main/g/geomview/%{name}_%version-8.diff.bz2
Patch: geomview-1.8.2-rc9-alt-xforms-path.patch

# Automatically added by buildreq on Sun Jan 13 2008 (-bi)
BuildRequires: flex gcc-c++ imake libmesa-devel tcsh xorg-cf-files zlib-devel libXt-devel libXext-devel lesstif-devel

#B uildRequires: flex gcc-c++ libstdc++-devel openmotif-devel tcl-devel tcsh tk-devel xorg-x11-devel xorg-x11-mesagl

%if_with xforms
BuildPreReq: libxforms-devel
%endif

%define DIRSETTINGS moduledir=%_libdir/%{name} geomdatadir=%_datadir/%{name}/data

#BuildRequires: rpm-build-compat >= 0.4

%description
 Geomview is interactive geometry software which is
 particularly appropriate for mathematics research and education.
 Geomview can display 3-D graphics output from Mathematica and Maple.
 In particular, geomview can display things in hyperbolic and
 spherical space as well as Euclidean space.
 .
 Geomview allows multiple independently controllable objects and
 cameras.  It provides interactive control for motion, appearances
 (including lighting, shading, and materials), picking on an
 object, edge or vertex level, snapshots in SGI image file or
 Renderman RIB format, and adding or deleting objects is provided
 through direct mouse manipulation, control panels, and keyboard
 shortcuts.  External programs can drive desired aspects of the
 viewer (such as continually loading changing geometry or
 controlling the motion of certain objects) while allowing
 interactive control of everything else.
 Homepage: http://www.geomview.org.


%prep
%setup -q -n %name-%version
#%patch0 -p0

%build
autoreconf -fisv
CONFFLAGS='--enable-shared' # --disable-static'

%configure $CONFFLAGS

%make_build %DIRSETTINGS \
	ACLOCAL="`pwd`/missing aclocal" \
	AUTOCONF="`pwd`/missing autoconf" \
	AUTOMAKE="`pwd`/missing automake" \
	AUTOHEADER="`pwd`/missing autoheader"

%install
%__make install %DIRSETTINGS DESTDIR=$RPM_BUILD_ROOT 
%__install -m644 -D %SOURCE1 $RPM_BUILD_ROOT%_miconsdir/%{name}.xpm
%__install -m644 -D %SOURCE2 $RPM_BUILD_ROOT%_niconsdir/%{name}.xpm
%__install -m644 -D %SOURCE3 $RPM_BUILD_ROOT%_liconsdir/%{name}.xpm
%__install -m644 -D %SOURCE4 $RPM_BUILD_ROOT%_menudir/%{name}

mv doc/geomview.html doc/html

# due to ImageMagic conflict
# $RPM_BUILD_ROOT%_man1dir/animate.* 
# another conflict
for i in \
$RPM_BUILD_ROOT%_man1dir/animate.* \
; do
	fname=`basename $i`
	dname=`dirname $i`
	mv $i $dname/%name-$fname
done

# xforms 
#$RPM_BUILD_ROOT%_man1dir/sweep.* \
#$RPM_BUILD_ROOT%_man3dir/sweep.* \

%post

#install_info %{name}.info
%install_info %{name}
                                                                                
%preun
#uninstall_info %{name}.info
%uninstall_info %{name}


%files
%doc doc/html
%doc AUTHORS NEWS README INSTALL.Geomview
#doc doc/gvplot.txt 
%doc doc/OOGL.m.txt doc/motion.tex doc/oogltour doc/example*
#doc src/bin/sweep/sweep.1* src/bin/sweep/sweep.3*
%doc src/bin/animate/animate.1* src/lib/geomutil/bdy/bdy.3* src/lib/geomutil/geomutil.3* 
#exclude doc/%name.pdf
#find src -name *.[1-9] --- lots of old stuff
%_bindir/*
%_man1dir/*
%if_with xforms
#%_man3dir/*
%endif
%_infodir/%{name}*
%_infodir/figs/*
%_libdir/%name
#%_libdir/lib%{name}.so.*
%_libdir/lib%{name}*.so
%dir %_datadir/%name
%_datadir/%name/data
%_miconsdir/%{name}.xpm
%_niconsdir/%{name}.xpm
%_liconsdir/%{name}.xpm
%_menudir/%{name}
# todo: geomview-devel
%exclude /usr/include/%{name}
%exclude %_libdir/lib%name.so
%exclude %_libdir/lib%name.a

%changelog
* Sat Jan 10 2009 Ilya Mashkin <oddity@altlinux.ru> 1.9.4-alt3
- remove deprecated post/postun from spec
- update requires (build with lesstif)

* Thu Apr 03 2008 Vlasenko Igor <viy@altlinux.ru> 1.9.4-alt2
- autoreconf'ed

* Sat Jan 12 2008 Igor Vlasenko <viy@altlinux.ru> 1.9.4-alt1
- new version
- note: 
   xforms modules and Tcl/Tk modules moved to the separate packages
	gvemod-ndview
	gvemodules-xforms
	gvemodules-tcltk
- TODO: to be built.

* Sun Dec 24 2006 Igor Vlasenko <viy@altlinux.ru> 1.8.2-alt5.rc9
- rc9
- fixed #10501 (added /usr/share/geomview)

* Mon Sep 11 2006 Igor Vlasenko <viy@altlinux.ru> 1.8.2-alt4
- removed man 1,3 sweep due to conflct (#9976)
* Fri Sep 01 2006 Igor Vlasenko <viy@altlinux.ru> 1.8.2-alt2
- built with xforms

* Sun Aug 27 2006 Igor Vlasenko <viy@altlinux.ru> 1.8.2-alt1
- new version

* Mon Oct 10 2005 Igor Vlasenko <viy@altlinux.ru> 1.8.1-alt3
- xforms are now optional

* Thu Jul 28 2005 Igor Vlasenko <viy@altlinux.org> 1.8.1-alt2
- built with xforms

* Tue Mar 29 2005 Igor Vlasenko <viy@altlinux.ru> 1.8.1-alt1
- first build for AltLinux
